Debian Bug report logs - #142079
[patch] FTBFS: nethack doesn't build on ia64

version graph

Package: nethack; Maintainer for nethack is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Randolph Chung <tausq@debian.org>

Date: Wed, 10 Apr 2002 04:33:01 UTC

Severity: important

Found in version 3.4.0-2

Fixed in version nethack/3.4.1-1

Done: Ben Gertzfield <che@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Randolph Chung <tausq@debian.org>:
New Bug report received and forwarded. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Randolph Chung <tausq@debian.org>
To: submit@bugs.debian.org
Subject: [patch] FTBFS: nethack doesn't build on ia64
Date: Tue, 9 Apr 2002 21:57:18 -0700
Package: nethack
Version: 3.4.0-2
Severity: important

nethack doesn't build on ia64:

http://buildd.debian.org/fetch.php?&pkg=nethack&ver=3.4.0-2&arch=ia64&stamp=1018386993&file=log&as=raw

unixres.c uses syscalls directly to call getr[ug]id, this is not
portable. The below patch fixes it so that it uses glibc-provided
interfaces.

--- nethack-3.4.0/sys/unix/unixres.c.orig	Tue Apr  9 21:31:39 2002
+++ nethack-3.4.0/sys/unix/unixres.c	Tue Apr  9 21:49:17 2002
@@ -20,6 +20,7 @@
 
 # if defined(LINUX)
 
+#  if defined(USE_SYSCALL)
 static _syscall3(int, getresuid, unsigned short *, ruid, \
   unsigned short *, euid, unsigned short *, suid)
 static _syscall3(int, getresgid, unsigned short *, rgid, \
@@ -54,6 +55,25 @@
     }
     return retval;
 }
+# else
+int getresuid(uid_t *, uid_t *, uid_t *);
+int getresgid(gid_t *, gid_t *, gid_t *);
+
+static int
+real_getresuid(ruid, euid, suid)
+uid_t *ruid, *euid, *suid;
+{
+	return getresuid(ruid, euid, suid);
+}
+
+static int
+real_getresgid(rgid, egid, sgid)
+gid_t *rgid, *egid, *sgid;
+{
+	return getresgid(rgid, egid, sgid);
+}
+
+#  endif
 
 # else
 #  if defined(BSD) || defined(SVR4)



Information forwarded to debian-bugs-dist@lists.debian.org, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Ben Gertzfield <che@debian.org>:
Extra info received and forwarded to list. Copy sent to nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 142079@bugs.debian.org (full text, mbox):

From: Ben Gertzfield <che@debian.org>
To: nethack-bugs@nethack.org
Cc: 142079@bugs.debian.org, tausq@debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 14 Apr 2002 20:52:36 +0900
> I've tried your patch, but, as I thought while reading it, it doesn't
> actually work.  The patch results in an infinite loop, since, to work
> around the Gnome library's behavior of trying to check that the 
> executable
> is neither setuid nor setgid, we define our own getresuid() in 
> unixunix.c,
> which the linker resolves first.  Thus, there's no way to call the
> getresuid in glibc.

Sorry about that.  I don't have an ia64 box, so I stupidly didn't even 
bother to try applying it yet.  For what it's worth, this is the build 
error on ia64 Linux:

http://buildd.debian.org/fetch.php?&pkg=nethack&ver=3.4.0-2&arch=ia64&stamp=
1018386993&file=log&as=raw

Loading ...
unixres.o: In function `getresuid':
unixres.o(.text+0x22): undefined reference to `__ia64_syscall'
unixres.o: In function `getresgid':
unixres.o(.text+0x72): undefined reference to `__ia64_syscall'

> This getresuid() implementation in unixunix.c is what the call in 
> unixres.c
> ends up calling once this patch is applied, which, in turn, calls
> nh_getresuid() and then on to real_getresuid(), and around and around,
> until the stack fills.
>
> The only way to get the real getresuid behavior when nethack needs it 
> while
> still causing Gnome to call our implementation is to use the syscall
> interface.

I'm Cc:ing Randolph, the original patch submitter.  Do either of you 
have an idea on how we can solve the above build problem in 3.4.0?

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to nethack-bugs@nethack.org:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 142079@bugs.debian.org (full text, mbox):

From: Dave Cohrs <d.cohrs@computer.org>
To: Ben Gertzfield <che@debian.org>
Cc: nethack-bugs@nethack.org, 142079@bugs.debian.org, tausq@debian.org
Subject: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 14 Apr 2002 10:53:31 -0700
Ben Gertzfield wrote:
>> Sorry about that.  I don't have an ia64 box, so I stupidly didn't even 
>> bother to try applying it yet.  For what it's worth, this is the build 
>> error on ia64 Linux:
>> 
>> http://buildd.debian.org/fetch.php?&pkg=nethack&ver=3.4.0-2&arch=ia64&stamp=1018386993&file=log&as=raw
>> 
>> Loading ...
>> unixres.o: In function `getresuid':
>> unixres.o(.text+0x22): undefined reference to `__ia64_syscall'
>> unixres.o: In function `getresgid':
>> unixres.o(.text+0x72): undefined reference to `__ia64_syscall'

Odd that the _syscall3 macro is defined in the ia64 system includes, but
doesn't evaluate to something valid on that platform.

FYI, I don't have an ia64 either, it failed on my Redhat x86 system.



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Randolph Chung <tausq@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 142079@bugs.debian.org (full text, mbox):

From: Randolph Chung <tausq@debian.org>
To: nethack-bugs@nethack.org
Cc: Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Tue, 16 Apr 2002 02:08:59 -0700
> Odd that the _syscall3 macro is defined in the ia64 system includes, but
> doesn't evaluate to something valid on that platform.
> 
> FYI, I don't have an ia64 either, it failed on my Redhat x86 system.

First, my apologies for not testing the patch more carefully. I'm not
much of a nethack player, but I figure we'd want to get this into the
upcoming Debian release for ia64...

Well, as the kernel folks are fond of saying, the syscall interface is
not supposed to be generally used by userspace program, it is restricted
to a limited number of applications (glibc for example). The syscall
interface is defined by a system header, but the implementation is not
necessarily exported as well. glibc has a (private) implementation of
the syscall interface (on ia64, and possibly on other platforms as 
well).

Can you please elaborate on why you can't use the glibc versions?

randolph



Information forwarded to debian-bugs-dist@lists.debian.org, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Ben Gertzfield <che@debian.org>:
Extra info received and forwarded to list. Copy sent to nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 142079@bugs.debian.org (full text, mbox):

From: Ben Gertzfield <che@debian.org>
To: Randolph Chung <tausq@debian.org>
Cc: nethack-bugs@nethack.org, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Tue, 16 Apr 2002 20:02:17 +0900
On Tue, Apr 16, 2002 at 02:08:59AM -0700, Randolph Chung wrote:

> > Odd that the _syscall3 macro is defined in the ia64 system includes, but
> > doesn't evaluate to something valid on that platform.
> > 
> > FYI, I don't have an ia64 either, it failed on my Redhat x86 system.
> 
> First, my apologies for not testing the patch more carefully. I'm not
> much of a nethack player, but I figure we'd want to get this into the
> upcoming Debian release for ia64...

I really hope we can do this.

> Well, as the kernel folks are fond of saying, the syscall interface is
> not supposed to be generally used by userspace program, it is restricted
> to a limited number of applications (glibc for example). The syscall
> interface is defined by a system header, but the implementation is not
> necessarily exported as well. glibc has a (private) implementation of
> the syscall interface (on ia64, and possibly on other platforms as 
> well).
> 
> Can you please elaborate on why you can't use the glibc versions?

I believe it's because GTK+ refuses to initialize on a setuid or setgid
program; they have to cheat a bit to work around it to make gnomehack
work.  Nethack must be setgid games to write to the save game and high
score files, but GTK+ does not allow this.  Rather than hack GTK+, they
came up with this workaround.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to nethack-bugs@nethack.org:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 142079@bugs.debian.org (full text, mbox):

From: Dave Cohrs <d.cohrs@computer.org>
To: Randolph Chung <tausq@debian.org>
Cc: nethack-bugs@nethack.org, Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Tue, 16 Apr 2002 07:57:39 -0700
Randolph Chung wrote:
>> Can you please elaborate on why you can't use the glibc versions?

I thought it was clear.  The problem is, Gnome wants to call getresuid()
because the authors of Gnome decided that setuid programs are evil.

People install nethack setuid (games, or some other non-priv uid).  Gnome
doesn't differenciate between setuid root and setuid some other user, it
treats all such setuid (and setgid) programs as evil and refuses to run.

We work around this behavior by providing our own getresuid() API.

Once we have one, it's not possible to call the one in glibc.

dave



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Randolph Chung <tausq@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 142079@bugs.debian.org (full text, mbox):

From: Randolph Chung <tausq@debian.org>
To: nethack-bugs@nethack.org
Cc: Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 21 Apr 2002 11:33:20 -0700
> I thought it was clear.  The problem is, Gnome wants to call getresuid()
> because the authors of Gnome decided that setuid programs are evil.
> People install nethack setuid (games, or some other non-priv uid).  Gnome
> doesn't differenciate between setuid root and setuid some other user, it
> treats all such setuid (and setgid) programs as evil and refuses to run.
> We work around this behavior by providing our own getresuid() API.
> Once we have one, it's not possible to call the one in glibc.

ah, in that case it's probably best to use dlopen/dlsym?

something like (actually tested this time :>)


--- nethack-3.4.0/sys/unix/unixres.c.orig	Sun Apr 21 09:28:22 2002
+++ nethack-3.4.0/sys/unix/unixres.c	Sun Apr 21 09:32:37 2002
@@ -20,39 +20,46 @@
 
 # if defined(LINUX)
 
-static _syscall3(int, getresuid, unsigned short *, ruid, \
-  unsigned short *, euid, unsigned short *, suid)
-static _syscall3(int, getresgid, unsigned short *, rgid, \
-  unsigned short *, egid, unsigned short *, sgid)
+#include <dlfcn.h>
 
 static int
 real_getresuid(ruid, euid, suid)
 uid_t *ruid, *euid, *suid;
 {
-    int retval;
-    unsigned short r, e, s;
-    retval = getresuid(&r, &e, &s);
-    if (!retval) {
-	*ruid = r;
-	*euid = e;
-	*suid = s;
-    }
-    return retval;
+	void *dlh;
+	typedef int (*getresuid_type)(uid_t *, uid_t *, uid_t *);
+	getresuid_type glibc_getresuid;
+	int ret;
+
+	dlh = dlopen("libc.so", RTLD_LAZY);
+	if (!dlh)
+		return -1;
+	glibc_getresuid = (getresuid_type)dlsym(dlh, "getresuid");
+	if (!glibc_getresuid)
+		return -1;
+	ret = glibc_getresuid(ruid, euid, suid);
+	dlclose(dlh);
+	return ret;
 }
 
 static int
 real_getresgid(rgid, egid, sgid)
 gid_t *rgid, *egid, *sgid;
 {
-    int retval;
-    unsigned short r, e, s;
-    retval = getresgid(&r, &e, &s);
-    if (!retval) {
-	*rgid = r;
-	*egid = e;
-	*sgid = s;
-    }
-    return retval;
+	void *dlh;
+	typedef int (*getresgid_type)(gid_t *, gid_t *, gid_t *);
+	getresgid_type glibc_getresgid;
+	int ret;
+
+	dlh = dlopen("libc.so", RTLD_LAZY);
+	if (!dlh)
+		return -1;
+	glibc_getresgid = (getresgid_type)dlsym(dlh, "getresgid");
+	if (!glibc_getresgid)
+		return -1;
+	ret = glibc_getresgid(rgid, egid, sgid);
+	dlclose(dlh);
+	return ret;
 }
 
 # else

 
randolph



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to nethack-bugs@nethack.org:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 142079@bugs.debian.org (full text, mbox):

From: Dave Cohrs <d.cohrs@computer.org>
To: Randolph Chung <tausq@debian.org>
Cc: nethack-bugs@nethack.org, Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 21 Apr 2002 12:46:47 -0700
>> ah, in that case it's probably best to use dlopen/dlsym?
>> 
>> something like (actually tested this time :>)

This change does not work on RedHat 6.2 or 7.2, where libc.so contains the
following:

/* GNU ld script
   Use the shared library, but some functions are only in
   the static library, so try that secondarily.  */
GROUP ( /lib/libc.so.6 /usr/lib/libc_nonshared.a )

The dlopen() fails.  dlerror() returns
	libc.so: invalid ELF header

ldd says that the executable depends on libc.so.6, not libc.so.  If it
worked for you, then your libc.so must be different, or your dlopen()
behaves differently.

I'm still confused as to why an approach similar in spirit to the
_syscall3() approach cannot be made to work on the ia64 platform.  The
glibc getresuid() calls a system call afterall.

If the dlopen() approach really works on Linux ia64, then an
appropriately #ifdef'd version would be useful.



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to Randolph Chung <tausq@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 142079@bugs.debian.org (full text, mbox):

From: Randolph Chung <tausq@debian.org>
To: nethack-bugs@nethack.org
Cc: Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 21 Apr 2002 15:43:38 -0700
> ldd says that the executable depends on libc.so.6, not libc.so.  If it
> worked for you, then your libc.so must be different, or your dlopen()
> behaves differently.

this should be more portable:

--- nethack-3.4.0/sys/unix/unixres.c.orig	Sun Apr 21 15:41:54 2002
+++ nethack-3.4.0/sys/unix/unixres.c	Sun Apr 21 15:42:00 2002
@@ -14,45 +14,43 @@
  * hide them.
  */
 
+#ifdef __GNUC__
+#define _GNU_SOURCE
+#endif
+
 #include "config.h"
 
 #ifdef GETRES_SUPPORT
 
 # if defined(LINUX)
-
-static _syscall3(int, getresuid, unsigned short *, ruid, \
-  unsigned short *, euid, unsigned short *, suid)
-static _syscall3(int, getresgid, unsigned short *, rgid, \
-  unsigned short *, egid, unsigned short *, sgid)
+#include <dlfcn.h>
 
 static int
 real_getresuid(ruid, euid, suid)
 uid_t *ruid, *euid, *suid;
 {
-    int retval;
-    unsigned short r, e, s;
-    retval = getresuid(&r, &e, &s);
-    if (!retval) {
-	*ruid = r;
-	*euid = e;
-	*suid = s;
-    }
-    return retval;
+    typedef int (*getresuid_type)(uid_t *, uid_t *, uid_t *);
+    getresuid_type f;
+
+    f = dlsym(RTLD_NEXT, "getresuid");
+    if (!f)
+	    return -1;
+
+    return f(ruid, euid, suid);
 }
 
 static int
 real_getresgid(rgid, egid, sgid)
 gid_t *rgid, *egid, *sgid;
 {
-    int retval;
-    unsigned short r, e, s;
-    retval = getresgid(&r, &e, &s);
-    if (!retval) {
-	*rgid = r;
-	*egid = e;
-	*sgid = s;
-    }
-    return retval;
+    typedef int (*getresgid_type)(gid_t *, gid_t *, gid_t *);
+    getresgid_type f;
+
+    f = dlsym(RTLD_NEXT, "getresgid");
+    if (!f)
+	    return -1;
+
+    return f(rgid, egid, sgid);
 }
 
 # else

i tried a test program and it worked on the few systems i tested on...
(sparc, i386, parisc and ia64)

> I'm still confused as to why an approach similar in spirit to the
> _syscall3() approach cannot be made to work on the ia64 platform.  The
> glibc getresuid() calls a system call afterall.

well, you could theoretically get this to work by copying the syscall
implementation for ia64 from glibc into nethack... but in general
syscall is not a user-space interface. it just happens to work on some
architectures.  it's a deliberate move from the kernel maintainers to 
not expose the syscall interface to general userspace programs. <shrug>
(this has been discussed many times on the kernel and glibc mailing
lists)

> If the dlopen() approach really works on Linux ia64, then an
> appropriately #ifdef'd version would be useful.

i'd rather have a single version that works on all archs if possible.
please let me know if this patch is acceptable.

randolph



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org:
Bug#142079; Package nethack. Full text and rfc822 format available.

Acknowledgement sent to nethack-bugs@nethack.org:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, nethack@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 142079@bugs.debian.org (full text, mbox):

From: Dave Cohrs <d.cohrs@computer.org>
To: Randolph Chung <tausq@debian.org>
Cc: nethack-bugs@nethack.org, Ben Gertzfield <che@debian.org>, 142079@bugs.debian.org
Subject: Re: [PATCH] Make Nethack 3.4.0 build on Linux ia64
Date: Sun, 21 Apr 2002 16:43:55 -0700
Yes, this version does seem to work.  It requires that one dynamically
link with libc, which seems like an acceptable restriction.  I'll
incorporate this version, along with an additional comment to that effect.



Reply sent to Ben Gertzfield <che@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Randolph Chung <tausq@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 142079-close@bugs.debian.org (full text, mbox):

From: Ben Gertzfield <che@debian.org>
To: 142079-close@bugs.debian.org
Subject: Bug#142079: fixed in nethack 3.4.1-1
Date: Thu, 06 Mar 2003 03:05:31 -0500
We believe that the bug you reported is fixed in the latest version of
nethack, which is due to be installed in the Debian FTP archive:

nethack-common_3.4.1-1_i386.deb
  to pool/main/n/nethack/nethack-common_3.4.1-1_i386.deb
nethack-console_3.4.1-1_i386.deb
  to pool/main/n/nethack/nethack-console_3.4.1-1_i386.deb
nethack-gnome_3.4.1-1_i386.deb
  to pool/main/n/nethack/nethack-gnome_3.4.1-1_i386.deb
nethack-qt_3.4.1-1_i386.deb
  to pool/main/n/nethack/nethack-qt_3.4.1-1_i386.deb
nethack-x11_3.4.1-1_i386.deb
  to pool/main/n/nethack/nethack-x11_3.4.1-1_i386.deb
nethack_3.4.1-1.diff.gz
  to pool/main/n/nethack/nethack_3.4.1-1.diff.gz
nethack_3.4.1-1.dsc
  to pool/main/n/nethack/nethack_3.4.1-1.dsc
nethack_3.4.1-1_all.deb
  to pool/main/n/nethack/nethack_3.4.1-1_all.deb
nethack_3.4.1.orig.tar.gz
  to pool/main/n/nethack/nethack_3.4.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 142079@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Gertzfield <che@debian.org> (supplier of updated nethack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  1 Mar 2003 17:03:11 -0800
Source: nethack
Binary: nethack-x11 nethack-common nethack-console nethack-gnome nethack nethack-qt
Architecture: source i386 all
Version: 3.4.1-1
Distribution: unstable
Urgency: low
Maintainer: Ben Gertzfield <che@debian.org>
Changed-By: Ben Gertzfield <che@debian.org>
Description: 
 nethack    - Overhead dungeon-crawler game (dummy package)
 nethack-common - Common files for Nethack dungeon crawl game
 nethack-console - Text-based overhead view D&D-style adventure game
 nethack-gnome - Text-based/Gnome overhead view D&D-style adventure game
 nethack-qt - Text-based/Qt overhead view D&D-style adventure game
 nethack-x11 - Text-based/X11 overhead view D&D-style adventure game
Closes: 140303 142018 142079 144779 153738 169995 173127 177252 181854 182742
Changes: 
 nethack (3.4.1-1) unstable; urgency=low
 .
   * New upstream version. (Closes: #182742)
   * Upstream included patch to build Nethack on ia64. (Closes: #142079)
   * Boulder -> Landmine segfault fixed upstream. (Closes: #144779)
   * Change Build-Depends to depend on libxaw7-dev | libxaw-dev.
     (Closes: #169995)
   * Top ten list buffer overflow fixed upstream. (Closes: #181854)
   * Mention .nethackrc.gnome, .nethackrc.x11, and .nethackrc.qt files
     (custom to Debian) in nethack manpage. (Closes: #153738)
   * Okay, okay, I made a nethack-console package that has no
     dependancies on any X11 libs or other big packages.
     (Closes: #140303, #142018)
   * Move dependancy on xbase-clients to nethack-x11.  It's the only
     one that needs font making.
   * Note: We define __USE_GNU in sys/unixres.c; looks like the
     constant RTLD_NEXT is only defined if __USE_GNU is defined.
   * Use Guidebook.txt for docs.  For some reason, plain 'Guidebook'
     is full of garbage now after 'make Guidebook'.
     (Closes: #173127, #177252)
Files: 
 811ebf2b572688161be3090aa6e3c67d 806 games optional nethack_3.4.1-1.dsc
 aefcbeb20210b2d64511c84bd03c3e4e 3492419 games optional nethack_3.4.1.orig.tar.gz
 c9d2e1146bd1fcda41d3509e6b872339 81476 games optional nethack_3.4.1-1.diff.gz
 1720a0c5483c660a877d3340f51e0339 435384 games optional nethack-common_3.4.1-1_i386.deb
 5d747f4f5fd0614bf9e79a145dfe01cb 701482 games optional nethack-console_3.4.1-1_i386.deb
 fcfc658bbd08544c8629b50161a68aa0 743584 games optional nethack-x11_3.4.1-1_i386.deb
 2e615be3241c85b552388340a58a2840 834928 games optional nethack-qt_3.4.1-1_i386.deb
 91ade11fae1e265a8305733beb74bdac 812892 games optional nethack-gnome_3.4.1-1_i386.deb
 4f4052f9f6d3c9957b2beabdee3c28a6 13184 games optional nethack_3.4.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE+YVyOerlouHKbEQ0RAil1AJ0d1Ga2mQetnAhnQHYmFaW2CwnyvwCeODR0
pqYeGvpnyI/JHlY88N62QCk=
=2kEo
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:19:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.